PHP is amongst the most commonly used multi-paradigm programming languages. It’s quite popular because it’s free software, which can be used to build interactive websites such as social networking websites, shopping portals or e-learning websites as opposed to static HTML sites. A PHP module must be available on the web server where a PHP website is hosted so that its source code can be ‘decrypted’. Since there aren’t any license fees for such a module and the language itself provides limitless options for the web-based applications that you create, there’re 100s of millions of PHP-driven websites. Also, there’re numerous PHP scripts, which you can use for your sites without having to possess any programming capabilities. As there’re a handful of versions of PHP, you have to check if the very same version that you used while building your website is enabled on the web server as well.

PHP 4 and PHP 5 Support in Hosting

We have reached a decision not to prevent our present and potential customers from selecting what PHP version their sites will use, which suggests that if you get a hosting plan from us, you’ll be able to choose between versions 5.5, 5.4, 5.3, 5.2 and 4, not only for the hosting account in general, but also for each domain name hosted by you. This can be done with just one single click of the mouse through our custom-built Hepsia hosting Control Panel via which all shared accounts are administered, so you will not need to have any technical or programming expertise. You will be able to run websites built with both new and old PHP-based scripts without having to cope with any predicaments, so if you decide to drop your present web hosting provider and migrate over to us, you can rest assured that all the websites that you’ve created throughout the years will continue to work properly.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

We’re unswerving in our belief that years spent setting up a site shouldn’t go down the tubes, which suggests that in case you order a semi-dedicated server from us, you will be able to use any script, no matter if it’s new or old. Unlike a lot of hosting suppliers, we support several different PHP versions on our avant-garde cloud web hosting platform – 4, 5.2, 5.3, 5.4 and 5.5. Not only will you have the ability to enable the required version from your Hepsia hosting Control Panel, but you will also have the opportunity to choose a different PHP version for each single website. This can be done simply by placing an .htaccess file into the given site’s root folder. You can change the version both for a single site and for the account itself and the update will take effect in less than a couple of minutes. With our web hosting services, you can be sure that you will never come across any site incompatibility issues.